#
# spec file for package perl-HTML-Tree (Version 3.23)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           perl-HTML-Tree
BuildRequires:  perl-HTML-Parser
License:        Artistic License; GPL v2 or later; Other uncritical OpenSource License
Group:          Development/Libraries/Perl
Requires:       perl = %{perl_version}, perl-HTML-Parser, perl-HTML-Tagset
AutoReqProv:    on
Summary:        Modules for representing, creating, and extracting information from HTML syntax trees
Version:        3.23
Release:        105
Source:         http://search.cpan.org/CPAN/authors/id/P/PE/PETEK/HTML-Tree-%{version}.tar.bz2
Url:            http://search.cpan.org/CPAN/authors/id/P/PE/PETEK/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This distribution contains a suite of modules for representing,
creating, and extracting information from HTML syntax trees; there is
also relevent documentation.  These modules used to be part of the
libwww-perl distribution, but are now unbundled in order to facilitate
a separate development track.



Authors:
--------
    Sean M. Burke <sburke@cpan.org>

%prep
%setup -n HTML-Tree-%{version}

%build
perl Makefile.PL
make
make test

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install_vendor
%perl_process_packlist

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%{perl_vendorlib}/HTML/*
%{perl_vendorarch}/auto/*
/var/adm/perl-modules/%{name}
%doc %{_mandir}/man?/*
%doc README Changes

%changelog
* Wed Dec 13 2006 kssingvo@suse.de
- update to 3.23
  * fix for as_html was not proper, and broken behavior should never
  be modified.
  * HTML::Element::as_XML now only escapes five characters, instead
  of escaping everything but alphanumerics and spaces.
  * A string comparison was commented to use lc() on both sides, but
  didn't.
  * Added several new tests and enhanced others.
  * Fixed description of HTML::Element::all_attr_names.
  * Fixed example code in HTML::Element::push_content.
  * Fixed description of HTML::Element::as_HTML.
* Thu Aug 10 2006 kssingvo@suse.de
- update to 3.21
  * Updated HTML::Parser requirement to 3.46 to fix a bug in
  tag-rendering.t, noted in RT 20816 and 19796.  Thanks to
  Gordon Lack and Ricardo Signes
  * Fixed HTML::TreeBuilder to not remove &nbsp; where it shouldn't,
  using patch supplied in RT 17481.  Thanks to Chris Madsen.
* Thu Jun 22 2006 kssingvo@suse.de
- update to version 3.20.
- bug fixes for starttag(): HTML::Element is now rendered correctly
  and became a installation test case
- bug fix in restoration of declarations
- DOCTYPE now always present on top of document
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Jan 12 2006 kssingvo@suse.de
- update to version 3.1901
* Wed Sep 28 2005 dmueller@suse.de
- add norootforbuild
* Tue Dec 16 2003 kssingvo@suse.de
- initial version
